import { EntryRow } from 'alinea/core/EntryRow';
import { Expr } from 'alinea/core/Expr';
import { Field } from 'alinea/core/Field';
import { Filter } from 'alinea/core/Filter';
import { GraphQuery, Order, Projection, QuerySettings, RelatedQuery, Status } from 'alinea/core/Graph';
import { HasExpr } from 'alinea/core/Internal';
import { Schema } from 'alinea/core/Schema';
import { Scope } from 'alinea/core/Scope';
import { Type } from 'alinea/core/Type';
import { Select, SelectionInput, Sql } from 'rado';
import { HasSql } from 'rado/core/Internal';
import type { Database } from '../Database.js';
import { LinkResolver } from './LinkResolver.js';
import { ResolveContext } from './ResolveContext.js';
type Interim = any;
export interface PostContext {
    linkResolver: LinkResolver;
}
export declare class EntryResolver {
    db: Database;
    schema: Schema;
    scope: Scope;
    constructor(db: Database);
    call(ctx: ResolveContext, internal: {
        method: string;
        args: Array<Expr>;
    }): HasSql<any>;
    expr(ctx: ResolveContext, expr: Expr): HasSql<any>;
    selectCount(ctx: ResolveContext, hasSearch: boolean): SelectionInput;
    projectTypes(types: Array<Type>): Array<[string, Expr]>;
    projection(query: GraphQuery<Projection>): Projection;
    selectProjection(ctx: ResolveContext, value: Projection): SelectionInput;
    select(ctx: ResolveContext, query: GraphQuery<Projection>): SelectionInput;
    querySource(ctx: ResolveContext, query: RelatedQuery): Select<any>;
    groupBy(ctx: ResolveContext, groupBy: Array<Expr<any>>): Array<HasSql>;
    orderBy(ctx: ResolveContext, orderBy: Array<Order>): Array<Sql>;
    conditionLocale(Table: typeof EntryRow, locale?: string | null): Sql<boolean>;
    conditionStatus(Table: typeof EntryRow, status: Status): import("rado/core/expr/Field.js").Field<boolean, "Entry"> | Sql<boolean>;
    conditionLocation(Table: typeof EntryRow, location: Array<string>): Sql<boolean>;
    conditionEntryFields(ctx: ResolveContext, query: QuerySettings): Sql<boolean>;
    conditionSearch(Table: typeof EntryRow, searchTerms: string | Array<string> | undefined): Sql<boolean>;
    conditionTypes(ctx: ResolveContext, types: Type | Array<Type>): Sql<boolean>;
    conditionFilter(ctx: ResolveContext, filter: Filter): Sql<boolean>;
    query(ctx: ResolveContext, query: RelatedQuery<Projection>): Select<any>;
    isSingleResult(query: RelatedQuery): boolean;
    postField(ctx: PostContext, interim: Interim, field: Field): Promise<void>;
    postExpr(ctx: PostContext, interim: Interim, expr: HasExpr): Promise<void>;
    postRow(ctx: PostContext, interim: Interim, query: GraphQuery<Projection>): Promise<void>;
    post(ctx: PostContext, interim: Interim, input: RelatedQuery<Projection>): Promise<void> | Promise<any[]> | undefined;
    resolve: <T>(query: GraphQuery) => Promise<T>;
}
export {};
