import type { InferProjection, Projection } from 'alinea/core/Graph';
import { Status } from 'alinea/core/Graph';
import DataLoader from 'dataloader';
import { Store } from '../Store.js';
import type { EntryResolver } from './EntryResolver.js';
export declare class LinkResolver {
    resolver: EntryResolver;
    store: Store;
    status: Status;
    loaders: Map<Projection, DataLoader<string, object, string>>;
    constructor(resolver: EntryResolver, store: Store, status: Status);
    load(projection: Projection): DataLoader<string, object, string>;
    resolveLinks<P extends Projection>(projection: P, entryIds: ReadonlyArray<string>): Promise<Array<InferProjection<P> | undefined>>;
}
