export declare function createExample(): import("alinea/core/CMS").CMS<{
    schema: {
        Fields: import("alinea/core/Type").Type<import("alinea/core/Document").Document & {
            text: import("alinea/field/text").TextField;
            hello: import("alinea/field/text").TextField;
            richText: import("alinea/core").RichTextField<{}, import("alinea/field/richtext").RichTextOptions<{}>>;
            select: import("alinea/field/select").SelectField<"a" | "b" | null>;
            number: import("alinea/field/number").NumberField;
            check: import("alinea/field/check").CheckField;
            date: import("alinea/field/date").DateField;
            code: import("alinea/field/code").CodeField;
            externalLink: import("alinea/field/link/LinkField").LinkField<import("alinea/types").UrlReference, import("alinea/types").UrlLink<{}>>;
            entry: import("alinea/field/link/LinkField").LinkField<import("alinea/types").EntryReference, import("alinea/types").EntryLink<undefined>>;
            entryWithCondition: import("alinea/field/link/LinkField").LinkField<import("alinea/types").EntryReference, import("alinea/types").EntryLink<undefined>>;
            linkMultiple: import("alinea/field/link/LinkField").LinksField<import("alinea/core/shape/ListShape").ListRow, import("alinea/types").Link<{}>>;
            image: import("alinea/field/link").ImageField<undefined>;
            images: import("alinea/field/link").ImagesField<undefined>;
            file: import("alinea/field/link/LinkField").LinkField<import("alinea/types").EntryReference, import("alinea/types").EntryLink<undefined>>;
            withFields: import("alinea/field/link/LinkField").LinkField<import("alinea/core/Reference").Reference, import("alinea/types").Link<{
                fieldA: string;
                fieldB: string;
            }>>;
            multipleWithFields: import("alinea/field/link/LinkField").LinksField<import("alinea/core/shape/ListShape").ListRow, import("alinea/types").Link<{
                fieldA: string;
                fieldB: string;
            }>>;
            list: import("alinea/core").ListField<({
                _type: "Image";
                image: import("alinea/types").EntryReference;
            } | {
                _type: "Text";
                title: string;
                text: import("alinea/types").TextDoc<{}>;
            }) & import("alinea/core/shape/ListShape").ListRow, ({
                _type: "Image";
                image: import("alinea/types").ImageLink<undefined>;
            } | {
                _type: "Text";
                title: string;
                text: import("alinea/types").TextDoc<{}>;
            }) & import("alinea/core/shape/ListShape").ListRow, import("alinea/field/list").ListOptions<{
                Text: import("alinea/core/Type").Type<{
                    title: import("alinea/field/text").TextField;
                    text: import("alinea/core").RichTextField<{}, import("alinea/field/richtext").RichTextOptions<{}>>;
                }>;
                Image: import("alinea/core/Type").Type<{
                    image: import("alinea/field/link").ImageField<undefined>;
                }>;
            }>>;
            withInitial: import("alinea/core").RichTextField<{}, import("alinea/field/richtext").RichTextOptions<{}>>;
            nested: import("alinea/core").RichTextField<{
                Inner: import("alinea/core/Type").Type<{
                    checkbox1: import("alinea/field/check").CheckField;
                    checkbox2: import("alinea/field/check").CheckField;
                    title: import("alinea/field/text").TextField;
                    content: import("alinea/core").RichTextField<{}, import("alinea/field/richtext").RichTextOptions<{}>>;
                }>;
                NestLayout: import("alinea/core/Type").Type<{
                    tabA: import("alinea/field/text").TextField;
                    tabB: import("alinea/field/text").TextField;
                    object: import("alinea/field/object").ObjectField<{
                        fieldA: import("alinea/field/text").TextField;
                        fieldB: import("alinea/field/text").TextField;
                    }> & {
                        fieldA: import("alinea/field/text").TextField;
                        fieldB: import("alinea/field/text").TextField;
                    };
                }>;
            }, import("alinea/field/richtext").RichTextOptions<{
                Inner: import("alinea/core/Type").Type<{
                    checkbox1: import("alinea/field/check").CheckField;
                    checkbox2: import("alinea/field/check").CheckField;
                    title: import("alinea/field/text").TextField;
                    content: import("alinea/core").RichTextField<{}, import("alinea/field/richtext").RichTextOptions<{}>>;
                }>;
                NestLayout: import("alinea/core/Type").Type<{
                    tabA: import("alinea/field/text").TextField;
                    tabB: import("alinea/field/text").TextField;
                    object: import("alinea/field/object").ObjectField<{
                        fieldA: import("alinea/field/text").TextField;
                        fieldB: import("alinea/field/text").TextField;
                    }> & {
                        fieldA: import("alinea/field/text").TextField;
                        fieldB: import("alinea/field/text").TextField;
                    };
                }>;
            }>>;
        }>;
        Page: import("alinea/core/Type").Type<import("alinea/core/Document").Document & {
            name: import("alinea/field/path").PathField & import("alinea/field/text").TextField;
            name2: import("alinea/field/text").TextField;
            title: import("alinea/field/text").TextField;
            path: import("alinea/field/path").PathField;
        }>;
        Container: import("alinea/core/Type").Type<{
            title: import("alinea/field/text").TextField;
            path: import("alinea/field/path").PathField;
            name: import("alinea/field/text").TextField;
        }>;
    };
    workspaces: {
        main: import("alinea/core/Workspace").Workspace<{
            pages: import("alinea/core/Root").Root<{
                entry1: import("alinea/core/Page").Page<Record<string, never>>;
                entry2: import("alinea/core/Page").Page<{
                    entry3: never;
                }>;
                container1: import("alinea/core/Page").Page<Record<string, never>>;
            }>;
            multiLanguage: import("alinea/core/Root").Root<{
                localised1: import("alinea/core/Page").Page<Record<string, never>>;
                localised2: import("alinea/core/Page").Page<{
                    localised3: never;
                }>;
            }>;
            media: import("alinea/core/media/MediaRoot").MediaRoot<{
                dir: import("alinea/core/Page").Page<{
                    'file1.png': never;
                }>;
            }>;
        }>;
    };
}> & {
    db: Promise<import("../Database").Database>;
};
