import { EntryStatus } from './EntryRow.js';
import { Expr } from './Expr.js';
export interface Entry {
    id: string;
    status: EntryStatus;
    title: string;
    type: string;
    seeded: string | null;
    workspace: string;
    root: string;
    level: number;
    filePath: string;
    parentDir: string;
    childrenDir: string;
    index: string;
    parentId: string | null;
    locale: string | null;
    rowHash: string;
    active: boolean;
    main: boolean;
    path: string;
    fileHash: string;
    url: string;
    data: Record<string, any>;
    searchableText: string;
}
export declare const Entry: {
    id: Expr<string>;
    status: Expr<EntryStatus>;
    title: Expr<string>;
    type: Expr<string>;
    seeded: Expr<string | null>;
    workspace: Expr<string>;
    root: Expr<string>;
    level: Expr<number>;
    filePath: Expr<string>;
    parentDir: Expr<string>;
    childrenDir: Expr<string>;
    index: Expr<string>;
    parentId: Expr<string | null>;
    locale: Expr<string | null>;
    rowHash: Expr<string>;
    active: Expr<boolean>;
    main: Expr<boolean>;
    path: Expr<string>;
    fileHash: Expr<string>;
    url: Expr<string>;
    data: Expr<Record<string, any>>;
    searchableText: Expr<string>;
};
