import "../chunks/chunk-U5RRZUYZ.js";

// src/core/EntryRecord.ts
var EntryRecord;
((EntryRecord2) => {
  EntryRecord2.id = "_id";
  EntryRecord2.type = "_type";
  EntryRecord2.index = "_index";
  EntryRecord2.root = "_root";
  EntryRecord2.seeded = "_seeded";
})(EntryRecord || (EntryRecord = {}));
function parseRecord(record) {
  const {
    [EntryRecord.id]: id,
    [EntryRecord.type]: type,
    [EntryRecord.index]: index,
    _i18nId: i18nId,
    [EntryRecord.root]: root,
    [EntryRecord.seeded]: seeded,
    ...data
  } = record;
  return {
    meta: {
      id: i18nId ?? id,
      type,
      index,
      root,
      seeded
    },
    data
  };
}
function createRecord(entry) {
  const { path = entry.path, title = entry.title, ...data } = entry.data;
  const id = entry.id;
  const meta = {
    [EntryRecord.id]: id,
    [EntryRecord.type]: entry.type,
    [EntryRecord.index]: entry.index
  };
  if (entry.seeded)
    meta[EntryRecord.seeded] = entry.seeded;
  if (!entry.parentId)
    meta[EntryRecord.root] = entry.root;
  return {
    ...meta,
    title,
    // path,
    ...data
  };
}
export {
  EntryRecord,
  createRecord,
  parseRecord
};
