import { Schema } from '../Schema.js';
export declare function summarySelection(schema: Schema): {
    id: import("../Expr.js").Expr<string>;
    locale: import("../Expr.js").Expr<string | null>;
    type: import("../Expr.js").Expr<string>;
    workspace: import("../Expr.js").Expr<string>;
    root: import("../Expr.js").Expr<string>;
    title: import("../Expr.js").Expr<string>;
    extension: import("alinea/field/hidden").HiddenField<string>;
    size: import("alinea/field/hidden").HiddenField<number>;
    preview: import("alinea/field/hidden").HiddenField<string>;
    thumbHash: import("alinea/field/hidden").HiddenField<string>;
    averageColor: import("alinea/field/hidden").HiddenField<string>;
    focus: import("alinea/field/hidden").HiddenField<{
        x: number;
        y: number;
    }>;
    width: import("alinea/field/hidden").HiddenField<number>;
    height: import("alinea/field/hidden").HiddenField<number>;
    parents: {
        parents: {};
        select: {
            id: import("../Expr.js").Expr<string>;
            title: import("../Expr.js").Expr<string>;
        };
    };
    childrenAmount: {
        children: {};
        count: true;
    };
};
export type SummaryProps = {
    id: string;
    type: string;
    workspace: string;
    root: string;
    title: string;
    extension: string;
    size: number;
    preview: string;
    thumbHash: string;
    averageColor: string;
    focus: {
        x: number;
        y: number;
    };
    width: number;
    height: number;
    parents: Array<{
        id: string;
        title: string;
    }>;
    childrenAmount: number;
};
