import { Config } from '../Config.js';
import { EntryRow, EntryStatus } from '../EntryRow.js';
import { EntryUrlMeta, Type } from '../Type.js';
export declare function workspaceMediaDir(config: Config, workspace: string): string;
export declare function entryInfo(fileName: string): [name: string, status: EntryStatus];
export declare function entryChildrenDir(config: Config, entry: {
    workspace: string;
    root: string;
    locale: string | null;
    path: string;
    status: EntryStatus;
}, parentPaths: Array<string>): string;
export declare function entryFilepath(config: Config, entry: {
    workspace: string;
    root: string;
    locale: string | null;
    path: string;
    status: EntryStatus;
}, parentPaths: Array<string>): string;
export declare function entryFileName(config: Config, entry: {
    workspace: string;
    root: string;
    locale: string | null;
    path: string;
    status: EntryStatus;
}, parentPaths: Array<string>): string;
export declare function entryFile(config: Config, entry: EntryRow): string;
export declare function entryUrl(type: Type, meta: EntryUrlMeta): string;
export declare function pathSuffix(path: string, conflictingPaths: Array<string>): number | undefined;
export declare function applySuffix(path: string, suffix: number): string;
