import { AsyncTreeDataLoader, DropTarget, ItemInstance } from '@headless-tree/core';
import { EntryStatus } from 'alinea/core/EntryRow';
export declare function rootId(rootName: string): string;
export interface EntryTreeItem {
    id: string;
    index: string;
    type: string;
    entries: Array<{
        id: string;
        type: string;
        title: string;
        status: EntryStatus;
        locale: string | null;
        workspace: string;
        root: string;
        path: string;
        parentPaths: Array<string>;
    }>;
    isFolder?: boolean;
    children: Array<string>;
}
export declare function useEntryTreeProvider(): AsyncTreeDataLoader<EntryTreeItem> & {
    onDrop(items: Array<ItemInstance<EntryTreeItem>>, target: DropTarget<EntryTreeItem>): void;
};
