import { Field, FieldOptions } from 'alinea/core/Field';
export declare function useField<StoredValue, QueryValue, Mutator, Options>(field: Field<StoredValue, QueryValue, Mutator, Options> | string): {
    fieldKey: string;
    label: string;
    options: Options & FieldOptions<StoredValue>;
    value: Awaited<StoredValue>;
    mutator: Mutator;
    error: string | boolean | undefined;
};
export declare function useFieldKey<StoredValue, QueryValue, Mutator, Options>(field: Field<StoredValue, QueryValue, Mutator, Options>): string;
export declare function useFieldOptions<StoredValue, QueryValue, Mutator, Options>(field: Field<StoredValue, QueryValue, Mutator, Options>): Options & FieldOptions<StoredValue>;
export declare function useFieldError<StoredValue, QueryValue, Mutator, Options>(field: Field<StoredValue, QueryValue, Mutator, Options>): string | boolean | undefined;
export declare function useFieldValue<StoredValue, QueryValue, Mutator, Options>(field: Field<StoredValue, QueryValue, Mutator, Options>): Awaited<StoredValue>;
export declare function useFieldMutator<StoredValue, QueryValue, Mutator, Options>(field: Field<StoredValue, QueryValue, Mutator, Options>): Mutator;
