import { Reference } from 'alinea/core/Reference';
import { TextDoc } from 'alinea/core/TextDoc';
import { CreateOperation, CreateQuery, DeleteOp, UpdateOperation, UpdateQuery, UploadOperation, UploadQuery } from 'alinea/core/Transaction';
import { ListEditor, ListField } from 'alinea/core/field/ListField';
import { RichTextEditor, RichTextField } from 'alinea/core/field/RichTextField';
import type { ListRow } from 'alinea/core/shape/ListShape';
import { LinkEditor, LinksEditor } from 'alinea/field/link/LinkEditor';
import { LinkField, LinksField } from 'alinea/field/link/LinkField';
export declare function update<Definition>(query: UpdateQuery<Definition>): UpdateOperation<Definition>;
export declare function create<Definition>(query: CreateQuery<Definition>): CreateOperation<Definition>;
export declare function remove(...entryIds: Array<string>): DeleteOp;
export declare function upload(query: UploadQuery): UploadOperation;
export declare function list<StoredValue extends ListRow, QueryValue extends ListRow>(field: ListField<StoredValue, QueryValue, any>, current?: Array<StoredValue>): ListEditor<StoredValue>;
export declare function richText<Blocks = unknown>(field?: RichTextField<Blocks, any>, current?: TextDoc<Blocks>): RichTextEditor<Blocks>;
export declare function link<StoredValue extends Reference, QueryValue>(field: LinkField<StoredValue, QueryValue>): LinkEditor<StoredValue>;
export declare function links<StoredValue extends ListRow, QueryValue>(field: LinksField<StoredValue, QueryValue>): LinksEditor<StoredValue>;
