import "./chunks/chunk-U5RRZUYZ.js";

// src/edit.ts
import {
  CreateOperation,
  DeleteOp,
  UpdateOperation,
  UploadOperation
} from "alinea/core/Transaction";
import { ListEditor } from "alinea/core/field/ListField";
import { RichTextEditor } from "alinea/core/field/RichTextField";
import { LinkEditor, LinksEditor } from "alinea/field/link/LinkEditor";
function update(query) {
  return new UpdateOperation(query);
}
function create(query) {
  return new CreateOperation(query);
}
function remove(...entryIds) {
  return new DeleteOp(entryIds);
}
function upload(query) {
  return new UploadOperation(query);
}
function list(field, current) {
  return new ListEditor(current);
}
function richText(field, current) {
  return new RichTextEditor(current);
}
function link(field) {
  return new LinkEditor();
}
function links(field) {
  return new LinksEditor();
}
export {
  create,
  link,
  links,
  list,
  remove,
  richText,
  update,
  upload
};
