import type { WithoutLabel } from 'alinea/core/Field';
import { Label } from 'alinea/core/Label';
import { Reference } from 'alinea/core/Reference';
import { Type } from 'alinea/core/Type';
import type { ListRow } from 'alinea/core/shape/ListShape';
import { FileLink } from 'alinea/field/link/FileLink';
import { LinkField, LinkFieldOptions } from 'alinea/field/link/LinkField';
import { EntryLink } from './EntryLink.js';
import { UrlLink } from './UrlLink.js';
export type Link<InferredFields> = EntryLink<InferredFields> | UrlLink<InferredFields> | FileLink<InferredFields>;
export interface LinkOptions<Definition, Row> extends LinkFieldOptions<Row> {
    fields?: Definition | Type<Definition>;
}
export declare function link<Fields>(label: Label, options?: WithoutLabel<LinkOptions<Fields, Reference>>): LinkField<Reference, Link<Type.Infer<Fields>>>;
export declare namespace link {
    function multiple<Fields>(label: Label, options?: WithoutLabel<LinkOptions<Fields, Array<ListRow>>>): import("alinea/field/link/LinkField").LinksField<ListRow, Link<{ [K_1 in keyof Fields as Fields[K_1] extends import("alinea/core/Expr").Expr<any> ? K_1 : never]: Fields[K_1] extends import("alinea/core/Expr").Expr<infer T_1> ? T_1 : never; } extends infer T ? { [K in keyof T]: { [K_1 in keyof Fields as Fields[K_1] extends import("alinea/core/Expr").Expr<any> ? K_1 : never]: Fields[K_1] extends import("alinea/core/Expr").Expr<infer T_1> ? T_1 : never; }[K]; } : never>>;
}
