import { Entry } from 'alinea/core/Entry';
import { EntryFields } from 'alinea/core/EntryFields';
import { Filter } from 'alinea/core/Filter';
import { Projection } from 'alinea/core/Graph';
import { Label } from 'alinea/core/Label';
import { Picker } from 'alinea/core/Picker';
import { Type } from 'alinea/core/Type';
import { EntryReference } from './EntryReference.js';
export interface EntryPickerOptions<Definition = {}> {
    selection: Projection;
    defaultView?: 'row' | 'thumb';
    location?: {
        workspace: string;
        root: string;
    };
    condition?: Filter<EntryFields & Entry>;
    withNavigation?: boolean;
    showMedia?: boolean;
    max?: number;
    label?: string;
    title?: Label;
    fields?: Definition | Type<Definition>;
}
export declare function entryPicker<Ref extends EntryReference, Fields>(options: EntryPickerOptions<Fields>): Picker<Ref, EntryPickerOptions<Fields>>;
