import { GraphQuery, IncludeGuard, SelectionGuard, TypeGuard } from 'alinea/core/Graph';
export declare const id: import("alinea/core/Expr").Expr<string>;
export declare const title: import("alinea/core/Expr").Expr<string>;
export declare const type: import("alinea/core/Expr").Expr<string>;
export declare const index: import("alinea/core/Expr").Expr<string>;
export declare const workspace: import("alinea/core/Expr").Expr<string>;
export declare const root: import("alinea/core/Expr").Expr<string>;
export declare const status: import("alinea/core/Expr").Expr<import("alinea/core/EntryRow").EntryStatus>;
export declare const parentId: import("alinea/core/Expr").Expr<string | null>;
export declare const locale: import("alinea/core/Expr").Expr<string | null>;
export declare const path: import("alinea/core/Expr").Expr<string>;
export declare const url: import("alinea/core/Expr").Expr<string>;
export { snippet } from 'alinea/core/pages/Snippet';
export declare function children<Selection extends SelectionGuard = undefined, Type extends TypeGuard = undefined, Include extends IncludeGuard = undefined>(query: GraphQuery<Selection, Type, Include> & {
    depth?: number;
}): {
    type?: Type | undefined;
    select?: Selection | undefined;
    include?: Include | undefined;
    filter?: import("alinea/core/Filter").Filter<import("alinea/core/EntryFields").EntryFields & (Type extends import("alinea/core/Type").Type<infer V> ? V : Type extends any[] ? Type[number] : unknown)> | undefined;
    first?: true;
    get?: true;
    count?: true;
    id?: import("alinea/core/Filter").Condition<string>;
    parentId?: import("alinea/core/Filter").Condition<string | null>;
    path?: import("alinea/core/Filter").Condition<string>;
    url?: import("alinea/core/Filter").Condition<string>;
    workspace?: import("alinea/core/Filter").Condition<string> | import("alinea/core/Workspace").Workspace;
    root?: import("alinea/core/Filter").Condition<string> | import("alinea/core/Root").Root;
    location?: import("alinea/core/Graph").Location;
    locale?: string | null;
    search?: string | Array<string>;
    syncInterval?: number;
    disableSync?: boolean;
    skip?: number;
    take?: number;
    groupBy?: import("alinea/core/Expr").Expr<any> | Array<import("alinea/core/Expr").Expr<any>>;
    orderBy?: import("alinea/core/Graph").Order | Array<import("alinea/core/Graph").Order>;
    status?: import("alinea/core/Graph").Status;
    preview?: import("alinea/core/Preview").PreviewRequest;
    children: {
        depth: number | undefined;
    };
};
export declare function parents<Selection extends SelectionGuard = undefined, Type extends TypeGuard = undefined, Include extends IncludeGuard = undefined>(query: GraphQuery<Selection, Type, Include> & {
    depth?: number;
}): {
    type?: Type | undefined;
    select?: Selection | undefined;
    include?: Include | undefined;
    filter?: import("alinea/core/Filter").Filter<import("alinea/core/EntryFields").EntryFields & (Type extends import("alinea/core/Type").Type<infer V> ? V : Type extends any[] ? Type[number] : unknown)> | undefined;
    first?: true;
    get?: true;
    count?: true;
    id?: import("alinea/core/Filter").Condition<string>;
    parentId?: import("alinea/core/Filter").Condition<string | null>;
    path?: import("alinea/core/Filter").Condition<string>;
    url?: import("alinea/core/Filter").Condition<string>;
    workspace?: import("alinea/core/Filter").Condition<string> | import("alinea/core/Workspace").Workspace;
    root?: import("alinea/core/Filter").Condition<string> | import("alinea/core/Root").Root;
    location?: import("alinea/core/Graph").Location;
    locale?: string | null;
    search?: string | Array<string>;
    syncInterval?: number;
    disableSync?: boolean;
    skip?: number;
    take?: number;
    groupBy?: import("alinea/core/Expr").Expr<any> | Array<import("alinea/core/Expr").Expr<any>>;
    orderBy?: import("alinea/core/Graph").Order | Array<import("alinea/core/Graph").Order>;
    status?: import("alinea/core/Graph").Status;
    preview?: import("alinea/core/Preview").PreviewRequest;
    parents: {
        depth: number | undefined;
    };
};
export declare function translations<Selection extends SelectionGuard = undefined, Type extends TypeGuard = undefined, Include extends IncludeGuard = undefined>(query: GraphQuery<Selection, Type, Include> & {
    includeSelf?: boolean;
}): {
    type?: Type | undefined;
    select?: Selection | undefined;
    include?: Include | undefined;
    filter?: import("alinea/core/Filter").Filter<import("alinea/core/EntryFields").EntryFields & (Type extends import("alinea/core/Type").Type<infer V> ? V : Type extends any[] ? Type[number] : unknown)> | undefined;
    first?: true;
    get?: true;
    count?: true;
    id?: import("alinea/core/Filter").Condition<string>;
    parentId?: import("alinea/core/Filter").Condition<string | null>;
    path?: import("alinea/core/Filter").Condition<string>;
    url?: import("alinea/core/Filter").Condition<string>;
    workspace?: import("alinea/core/Filter").Condition<string> | import("alinea/core/Workspace").Workspace;
    root?: import("alinea/core/Filter").Condition<string> | import("alinea/core/Root").Root;
    location?: import("alinea/core/Graph").Location;
    locale?: string | null;
    search?: string | Array<string>;
    syncInterval?: number;
    disableSync?: boolean;
    skip?: number;
    take?: number;
    groupBy?: import("alinea/core/Expr").Expr<any> | Array<import("alinea/core/Expr").Expr<any>>;
    orderBy?: import("alinea/core/Graph").Order | Array<import("alinea/core/Graph").Order>;
    status?: import("alinea/core/Graph").Status;
    preview?: import("alinea/core/Preview").PreviewRequest;
    translations: {
        includeSelf: boolean | undefined;
    };
};
export declare function parent<Selection extends SelectionGuard = undefined, Type extends TypeGuard = undefined, Include extends IncludeGuard = undefined>(query: GraphQuery<Selection, Type, Include>): {
    type?: Type | undefined;
    select?: Selection | undefined;
    include?: Include | undefined;
    filter?: import("alinea/core/Filter").Filter<import("alinea/core/EntryFields").EntryFields & (Type extends import("alinea/core/Type").Type<infer V> ? V : Type extends any[] ? Type[number] : unknown)> | undefined;
    first?: true;
    get?: true;
    count?: true;
    id?: import("alinea/core/Filter").Condition<string>;
    parentId?: import("alinea/core/Filter").Condition<string | null>;
    path?: import("alinea/core/Filter").Condition<string>;
    url?: import("alinea/core/Filter").Condition<string>;
    workspace?: import("alinea/core/Filter").Condition<string> | import("alinea/core/Workspace").Workspace;
    root?: import("alinea/core/Filter").Condition<string> | import("alinea/core/Root").Root;
    location?: import("alinea/core/Graph").Location;
    locale?: string | null;
    search?: string | Array<string>;
    syncInterval?: number;
    disableSync?: boolean;
    skip?: number;
    take?: number;
    groupBy?: import("alinea/core/Expr").Expr<any> | Array<import("alinea/core/Expr").Expr<any>>;
    orderBy?: import("alinea/core/Graph").Order | Array<import("alinea/core/Graph").Order>;
    status?: import("alinea/core/Graph").Status;
    preview?: import("alinea/core/Preview").PreviewRequest;
    parent: {};
};
export declare function next<Selection extends SelectionGuard = undefined, Type extends TypeGuard = undefined, Include extends IncludeGuard = undefined>(query: GraphQuery<Selection, Type, Include>): {
    type?: Type | undefined;
    select?: Selection | undefined;
    include?: Include | undefined;
    filter?: import("alinea/core/Filter").Filter<import("alinea/core/EntryFields").EntryFields & (Type extends import("alinea/core/Type").Type<infer V> ? V : Type extends any[] ? Type[number] : unknown)> | undefined;
    first?: true;
    get?: true;
    count?: true;
    id?: import("alinea/core/Filter").Condition<string>;
    parentId?: import("alinea/core/Filter").Condition<string | null>;
    path?: import("alinea/core/Filter").Condition<string>;
    url?: import("alinea/core/Filter").Condition<string>;
    workspace?: import("alinea/core/Filter").Condition<string> | import("alinea/core/Workspace").Workspace;
    root?: import("alinea/core/Filter").Condition<string> | import("alinea/core/Root").Root;
    location?: import("alinea/core/Graph").Location;
    locale?: string | null;
    search?: string | Array<string>;
    syncInterval?: number;
    disableSync?: boolean;
    skip?: number;
    take?: number;
    groupBy?: import("alinea/core/Expr").Expr<any> | Array<import("alinea/core/Expr").Expr<any>>;
    orderBy?: import("alinea/core/Graph").Order | Array<import("alinea/core/Graph").Order>;
    status?: import("alinea/core/Graph").Status;
    preview?: import("alinea/core/Preview").PreviewRequest;
    next: {};
};
export declare function previous<Selection extends SelectionGuard = undefined, Type extends TypeGuard = undefined, Include extends IncludeGuard = undefined>(query: GraphQuery<Selection, Type, Include>): {
    type?: Type | undefined;
    select?: Selection | undefined;
    include?: Include | undefined;
    filter?: import("alinea/core/Filter").Filter<import("alinea/core/EntryFields").EntryFields & (Type extends import("alinea/core/Type").Type<infer V> ? V : Type extends any[] ? Type[number] : unknown)> | undefined;
    first?: true;
    get?: true;
    count?: true;
    id?: import("alinea/core/Filter").Condition<string>;
    parentId?: import("alinea/core/Filter").Condition<string | null>;
    path?: import("alinea/core/Filter").Condition<string>;
    url?: import("alinea/core/Filter").Condition<string>;
    workspace?: import("alinea/core/Filter").Condition<string> | import("alinea/core/Workspace").Workspace;
    root?: import("alinea/core/Filter").Condition<string> | import("alinea/core/Root").Root;
    location?: import("alinea/core/Graph").Location;
    locale?: string | null;
    search?: string | Array<string>;
    syncInterval?: number;
    disableSync?: boolean;
    skip?: number;
    take?: number;
    groupBy?: import("alinea/core/Expr").Expr<any> | Array<import("alinea/core/Expr").Expr<any>>;
    orderBy?: import("alinea/core/Graph").Order | Array<import("alinea/core/Graph").Order>;
    status?: import("alinea/core/Graph").Status;
    preview?: import("alinea/core/Preview").PreviewRequest;
    previous: {};
};
export declare function siblings<Selection extends SelectionGuard = undefined, Type extends TypeGuard = undefined, Include extends IncludeGuard = undefined>(query: GraphQuery<Selection, Type, Include> & {
    includeSelf?: boolean;
}): {
    type?: Type | undefined;
    select?: Selection | undefined;
    include?: Include | undefined;
    filter?: import("alinea/core/Filter").Filter<import("alinea/core/EntryFields").EntryFields & (Type extends import("alinea/core/Type").Type<infer V> ? V : Type extends any[] ? Type[number] : unknown)> | undefined;
    first?: true;
    get?: true;
    count?: true;
    id?: import("alinea/core/Filter").Condition<string>;
    parentId?: import("alinea/core/Filter").Condition<string | null>;
    path?: import("alinea/core/Filter").Condition<string>;
    url?: import("alinea/core/Filter").Condition<string>;
    workspace?: import("alinea/core/Filter").Condition<string> | import("alinea/core/Workspace").Workspace;
    root?: import("alinea/core/Filter").Condition<string> | import("alinea/core/Root").Root;
    location?: import("alinea/core/Graph").Location;
    locale?: string | null;
    search?: string | Array<string>;
    syncInterval?: number;
    disableSync?: boolean;
    skip?: number;
    take?: number;
    groupBy?: import("alinea/core/Expr").Expr<any> | Array<import("alinea/core/Expr").Expr<any>>;
    orderBy?: import("alinea/core/Graph").Order | Array<import("alinea/core/Graph").Order>;
    status?: import("alinea/core/Graph").Status;
    preview?: import("alinea/core/Preview").PreviewRequest;
    siblings: {
        includeSelf: boolean | undefined;
    };
};
